#back_to_top {
	position:fixed;
	display: block;
	bottom: 100px;
	left: 0;
	color:var(--e-global-color-text);
	font-size: 20px;
	transform: rotate(-90deg);
	z-index: 9;
	mix-blend-mode: plus-lighter;
	opacity: 0;
	transition: opacity .4s ease;
	cursor: pointer;
}
#back_to_top.visible { opacity: 1}
#back_to_top::before {
	content: "";
    display: block;
    width: 35px;
    height: 2px;
    position: absolute;
    top: 8px;
    left: -40px;
	background:var(--e-global-color-text);
}
@media (max-width:767px){
	#back_to_top { visibility: hidden !important}
}


/* header padding bg fix */
body::before {
	content: "";
    display: block;
    width: 100%;
    height: var(--header-space);
    position: absolute;
    top: 0px;
    background: #000;
}





/* MOUSE FOLLOW */

#mouseFollow {
  position: fixed;
  z-index: 999;
  opacity: 0.25;

}
@media (max-width: 1140) {#mouseFollow {display: none;}}

#mouseFollow .pointer, #mouseFollow .interaction {
  border-radius: 100%;
  position: absolute;
  top:calc(-1 * var(--header-space));
  left:0px;
  pointer-events: none;
  transition: all 0.25s ease-out;
}

#mouseFollow .pointer {
  width: 40px;
  height: 40px;
  background-color: var(--e-global-color-primary);
  transform: translate(-50%, -50%) scale(1);
}

#mouseFollow .interaction {
  width: 60px;
  height: 60px;
  border: 1px solid var(--e-global-color-primary);
  transform: translate(-50%, -50%) scale(0);
}

#mouseFollow.isInteracting .pointer{
  transform: translate(-50%, -50%) scale(0);
}

#mouseFollow.isInteracting .interaction{
  transform: translate(-50%, -50%) scale(1)
}

@media (max-width:1140px){
	#mouseFollow { display: none }
}